# smesh.Mesh Class Reference

Class to define a mesh. More...

## Public Member Functions
def | __init__
| Constructor.
def | GetMesh
| Method that returns the mesh.
def | GetShape
| Method that returns the shape associated to the mesh.
def | MeshDimension
| Returns mesh dimension depending on shape one.
def | Segment
| Creates a segment discretization 1D algorithm.
def | Triangle
| Creates a triangle 2D algorithm for faces.
def | Quadrangle
| Creates a quadrangle 2D algorithm for faces.
def | Tetrahedron
| Creates a tetrahedron 3D algorithm for solids.
def | Hexahedron
| Creates a hexahedron 3D algorithm for solids.
def | Netgen
| Creates a NETGEN-based 2D or 3D independent algorithm (i.e.
def | Compute
| Compute the mesh and return the status of the computation.
def | AutomaticTetrahedralization
| Compute tetrahedral mesh using AutomaticLength + MEFISTO + NETGEN The parameter fineness [0.
def | AutomaticHexahedralization
| Compute hexahedral mesh using AutomaticLength + Quadrangle + Hexahedron The parameter fineness [0.
def | RemoveGlobalHypotheses
| Removes all global hypotheses.
def | Group
| Create a mesh group based on geometric object grp and give a name, if this parameter is not defined the name is the same as the geometric group name.
def | ExportToMED
| Export the mesh in a file with the MED format and choice the version of MED format.
def | ExportMED
| Export the mesh in a file with the MED format.
def | ExportDAT
| Export the mesh in a file with the DAT format.
def | ExportUNV
| Export the mesh in a file with the UNV format.
def | ExportSTL
| Export the mesh in a file with the STL format.
## Data Fields
| geom
| mesh
## Static Public Attributes
int | geom = 0
int | mesh = 0

## Detailed Description

More details.

## Member Function Documentation

def smesh.Mesh.__init__ | ( |  | self,
|  |  | geom,
|  |  | name = `0`
| ) |

  | Creates mesh on the shape geom, sets GUI name of this mesh to name. Parameters:
  | geom | Shape to be meshed
  | name | Study name of the mesh

def smesh.Mesh.GetMesh | ( |  | self | ) |

def smesh.Mesh.GetShape | ( |  | self | ) |

def smesh.Mesh.MeshDimension | ( |  | self | ) |

def smesh.Mesh.Segment | ( |  | self,
|  |  | algo = `REGULAR`,
|  |  | geom = `0`
| ) |

  | If the optional algo parameter is not sets, this algorithm is REGULAR. If the optional geom parameter is not sets, this algorithm is global. Otherwise, this algorithm define a submesh based on geom subshape. Parameters:
  | algo | values are smesh.REGULAR or smesh.PYTHON for discretization via python function
  | geom | If defined, subshape to be meshed

def smesh.Mesh.Triangle | ( |  | self,
|  |  | geom = `0`
| ) |

  | If the optional geom parameter is not sets, this algorithm is global. Otherwise, this algorithm define a submesh based on geom subshape. Parameters:
  | geom | If defined, subshape to be meshed

def smesh.Mesh.Quadrangle | ( |  | self,
|  |  | geom = `0`
| ) |

  | If the optional geom parameter is not sets, this algorithm is global. Otherwise, this algorithm define a submesh based on geom subshape. Parameters:
  | geom | If defined, subshape to be meshed

def smesh.Mesh.Tetrahedron | ( |  | self,
|  |  | algo,
|  |  | geom = `0`
| ) |

  | The parameter algo permits to choice the algorithm: NETGEN or GHS3D If the optional geom parameter is not sets, this algorithm is global. Otherwise, this algorithm define a submesh based on geom subshape. Parameters:
  | algo | values are: smesh.NETGEN, smesh.GHS3D
  | geom | If defined, subshape to be meshed

def smesh.Mesh.Hexahedron | ( |  | self,
|  |  | geom = `0`
| ) |

  | If the optional geom parameter is not sets, this algorithm is global. Otherwise, this algorithm define a submesh based on geom subshape. Parameters:
  | geom | If defined, subshape to be meshed

def smesh.Mesh.Netgen | ( |  | self,
|  |  | is3D,
|  |  | geom = `0`
| ) |

  | needs no discrete boundary). If the optional geom parameter is not sets, this algorithm is global. Otherwise, this algorithm defines a submesh based on geom subshape. Parameters:
  | is3D | If 0 then algorithm is 2D, otherwise 3D
  | geom | If defined, subshape to be meshed

def smesh.Mesh.Compute | ( |  | self | ) |

def smesh.Mesh.AutomaticTetrahedralization | ( |  | self,
|  |  | fineness = `0`
| ) |

| -1.] defines mesh fineness

def smesh.Mesh.AutomaticHexahedralization | ( |  | self,
|  |  | fineness = `0`
| ) |

| -1.] defines mesh fineness

def smesh.Mesh.RemoveGlobalHypotheses | ( |  | self | ) |

def smesh.Mesh.Group | ( |  | self,
|  |  | grp,
|  |  | name = `""`
| ) |

  | Parameters:
  | grp | is a geometric group, a vertex, an edge, a face or a solid
  | name | is the name of the mesh group

def smesh.Mesh.ExportToMED | ( |  | self,
|  |  | f,
|  |  | version,
|  |  | opt = `0`
| ) |

  | Parameters:
  | f | is the file name
  | version | values are SMESH.MED_V2_1, SMESH.MED_V2_2

def smesh.Mesh.ExportMED | ( |  | self,
|  |  | f,
|  |  | opt = `0`
| ) |

  | Parameters:
  | f | is the file name

def smesh.Mesh.ExportDAT | ( |  | self,
|  |  | f
| ) |

  | Parameters:
  | f | is the file name

def smesh.Mesh.ExportUNV | ( |  | self,
|  |  | f
| ) |

  | Parameters:
  | f | is the file name

def smesh.Mesh.ExportSTL | ( |  | self,
|  |  | f,
|  |  | ascii = `1`
| ) |

  | Parameters:
  | f | is the file name
  | ascii | defined the kind of file contents

## Field Documentation

int smesh.Mesh.geom = 0`[static]`

int smesh.Mesh.mesh = 0`[static]`

smesh.Mesh.geom

smesh.Mesh.mesh